Package org.drinkless.tdlib

# Class TdApi.LoginUrlInfoOpen

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.LoginUrlInfo
org.drinkless.tdlib.TdApi.LoginUrlInfoOpen

Enclosing class:
  `TdApi`

public static class TdApi.LoginUrlInfoOpen extends TdApi.LoginUrlInfo
An HTTP URL needs to be open.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.LoginUrlInfo

  `TdApi.LoginUrlInfo.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `skipConfirmation`
  True, if there is no need to show an ordinary open URL confirmation.
  `String`
  `url`
  The URL to open.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LoginUrlInfoOpen()`
  An HTTP URL needs to be open.
  `LoginUrlInfoOpen(String url, boolean skipConfirmation)`
  An HTTP URL needs to be open.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### url

    public String url
    The URL to open.

  - ### skipConfirmation

    public boolean skipConfirmation
    True, if there is no need to show an ordinary open URL confirmation.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### LoginUrlInfoOpen

    public LoginUrlInfoOpen()
    An HTTP URL needs to be open.

  - ### LoginUrlInfoOpen

    public LoginUrlInfoOpen(String url, boolean skipConfirmation)
    An HTTP URL needs to be open.
    Parameters:
      `url` - The URL to open.
      `skipConfirmation` - True, if there is no need to show an ordinary open URL confirmation.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.LoginUrlInfo`
    Returns:
      this.CONSTRUCTOR